xfonts-base (1:1.0.6) UNRELEASED; urgency=medium

  * d/rules: Add missing build-arch, build-indep targets (Policy §4.9)
    (Closes: #999177)
  * d/control: Declare that the build does not require (fake)root
  * d/rules: Use dh_update_autotools_config to update config.guess,
    config.sub (Closes: #856271)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Jul 2022 11:15:36 +0100

xfonts-base (1:1.0.5) unstable; urgency=medium

  * Add Vcs-* control fields.
  * Switch upstream xorg.freedesktop.org URLs in packaging to https.
  * Undo 1:1.0.4+nmu2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Feb 2019 14:50:43 +0100

xfonts-base (1:1.0.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add multiarch metadata (Closes: 677851)

 -- Wookey <wookey@debian.org>  Wed, 08 Jul 2015 17:30:53 +0100

xfonts-base (1:1.0.4) unstable; urgency=medium

  * Remove Cyril and David from Uploaders.
  * Set GZIP=-n when calling make to avoid timestamps in compressed font
    files.
  * Get rid of debian/xsfbs/.
  * Bump debhelper compat level to 7.

 -- Julien Cristau <jcristau@debian.org>  Sun, 01 Feb 2015 11:36:40 +0100

xfonts-base (1:1.0.3) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders
  * New upstream releases (X11R7.6):
    - font-arabic-misc 1.0.3
    - font-cursor-misc 1.0.3
    - font-daewoo-misc 1.0.3
    - font-dec-misc 1.0.3
    - font-isas-misc 1.0.3
    - font-jis-misc 1.0.3
    - font-micro-misc 1.0.3
    - font-misc-misc 1.0.3
    - font-mutt-misc 1.0.3
    - font-schumacher-misc 1.1.2
    - font-sony-misc 1.0.3
    - font-sun-misc 1.0.3
      + update debian/copyright from upstream COPYING

  [ Cyril Brulebois ]
  * font-misc-misc 1.0.2 fixes an off-by-one error in U+FFE1 through
    U+FFE6 range (Closes: #252045).
  * Add myself to Uploaders.
  * Wrap build-deps.
  * Add xutils-dev build-dep for new macros.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 16 Nov 2010 22:29:41 +0100

xfonts-base (1:1.0.1) unstable; urgency=low

  [ David Nusinow ]
  * Update xsfbs to 5693792171d885769e58dcccc053c08b11acd12a
  * Remove note about requiring this package for the X server to work.
    Thanks Piotr Engelking. Closes: #534499

  [ Julien Cristau ]
  * New upstream releases:
    - font-arabic-misc 1.0.1
    - font-cursor-misc 1.0.1
    - font-daewoo-misc 1.0.1
    - font-dec-misc 1.0.1
    - font-isas-misc 1.0.1
    - font-jis-misc 1.0.1
    - font-micro-misc 1.0.1
    - font-misc-misc 1.1.0
    - font-mutt-misc 1.0.1
    - font-schumacher-misc 1.1.0
    - font-sony-misc 1.0.1
    - font-sun-misc 1.0.1
  * Split debian/watch to have one watch file for each upstream tarball, and a
    debian/rules target to download them.
  * Patch remove-wrongly-registered-katakana-glyphs is obsolete, delete it and
    remove patch system.
  * Remove Branden from Uploaders.
  * Drop maintainer scripts, they were handling the removal of
    /etc/X11/fonts/X11R7/misc/xfonts-base.alias, which was done before lenny.
  * Allow parallel builds.
  * Build-Depend on new xfonts-utils, removing the need to set --with-fontdir
    for every module.
  * Bump Standards-Version to 3.8.3.
  * Version debhelper build-dep (lintian).

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 Jan 2010 13:22:37 +0000

xfonts-base (1:1.0.0-6) unstable; urgency=low

  * Drop paragraph about xfonts-base-transcoded from the description. That
    package has been dropped in the modular packaging, and the fonts it used
    to contain are now in xfonts-base.  Thanks again to Josip Rodin!
  * Import 1:1.0.0-5.1 NMU from Hideki Yamane.
  * Revert inappropriate NMU changes:
    - change debian/compat back to 5
    - the download page is not a homepage
    - use dh_clean -k in the install target, not plain dh_clean
  * Update xsfbs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 08 Apr 2009 09:31:28 +0100

xfonts-base (1:1.0.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Standards-Version: 3.8.1
    - new section "fonts"
    - Build-Depends: debhelper (>=7)
    - add "Homepage:" field
    - fix "I: xfonts-base source: build-depends-without-arch-dep"
      so "Build-Depends-Indep: pkg-config, xfonts-utils", and add quilt
  * debian/compat: set 7
  * debian/patches:
    - add "remove-wrongly-registered-katakana-glyphs" (Closes: #423315)
  * debian/rules:
    - fix "W: xfonts-base source: dh-clean-k-is-deprecated"
  * debian/watch: add it.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 31 Mar 2009 00:23:45 +0900

xfonts-base (1:1.0.0-5) unstable; urgency=low

  [ Branden Robinson ]
  * Update Debian copyright file.
    + Remove Adobe copyright notices; nothing in the upstream sources
      case-insensitive matches "adobe", let alone bears a copyright notice of
      theirs.
    + Add many copyright notices, licenses, and other notations of status
      (such as "public domain") from upstream sources.
    + Add other information required by Debian Policy §12.5.
  * Update package description.
    + Stop claiming that the package also provides font file manipulation
      utilities.  It no longer does; those moved to xfonts-utils.  (To aid
      transitions, xfonts-base should have grown a dependency on xfonts-utils,
      but etch is out now and it's too late to help people upgrading from
      sarge.)
    + Stop documenting the dependency on xutils; debhelper now worries about
      this for us via dh_installxfonts and ${misc:Depends}, so the dependency
      is no longer directly our responsibility.

  [ Julien Cristau ]
  * Add upstream URL to debian/copyright (closes: #434288).  Thanks, Josip
    Rodin!
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Tue, 24 Jul 2007 19:16:52 +0200

xfonts-base (1:1.0.0-4) unstable; urgency=low

  [ Eugene Konev ]
  * Drop X11R7 from aliases install path.
  * Switch to dh_installxfonts.
  * Bump policy to 3.7.2 (now we are compliant).
  * Remove unused debhelper helpers.
  * Build package in binary-indep, not in binary-arch.

  [ David Nusinow ]
  * Bump debhelper compat to 5 and version build-dep to >= 5.0.31
  * Remove Fabio from uploaders with his permission. He's always welcome back.

 -- David Nusinow <dnusinow@debian.org>  Sat, 30 Sep 2006 16:34:42 -0400

xfonts-base (1:1.0.0-3) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Mon, 10 Apr 2006 23:36:11 -0400

xfonts-base (1:1.0.0-2) experimental; urgency=low

  [ David Nusinow ]
  * Include mention of the fixed font in the package description so people
    with this common error can find the package. Thanks Andras Korn.
    (closes: #354017)

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Feb 2006 22:00:39 -0500

xfonts-base (1:1.0.0-1) experimental; urgency=low

  [ David Nusinow ]
  * First modular upload to Debian

  [ Eugene Konev ]
  * Add xfonts-utils to b-d.
  * Move fonts to /usr/share/fonts/X11/misc

 -- David Nusinow <dnusinow@debian.org>  Tue, 31 Jan 2006 20:10:42 -0500
